Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Condition_T.h File Reference

`#include "ace/OS_NS_Thread.h"`
`#include "ace/Lock.h"`
`#include "ace/Condition_T.inl"`
`#include "ace/Condition_T.cpp"`

Include dependency graph for Condition_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Condition
| ACE_Condition variable wrapper, which allows threads to block until shared data changes state. More...
class | ACE_Thread_Condition
| ACE_Condition variable wrapper that works within processes. More...

## Detailed Description

Id:
  Condition_T.h,v 4.2 2004/01/05 22:57:06 shuston Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>